std::atomic_ref::fetch_xor(3)

NAME
std::atomic_ref::fetch_xor - std::atomic_ref::fetch_xor

Synopsis
   member only of atomic_ref<Integral> specializations
   T fetch_xor( T arg,
                std::memory_order order = std::memory_order_seq_cst ) (since C++20)
   const noexcept;
   Atomically replaces the current value of the referenced object with the result of
   bitwise XOR of the value and arg. This operation is a read-modify-write operation.
   Memory is affected according to the value of order.

Parameters
   arg - the other argument of bitwise XOR
   order - memory order constraints to enforce

Return value
   The value of the referenced object, immediately preceding the effects of this
   function.